k0rdent AI Docs

Create user group

Visibility: public ยท internal ( OpenAPI Custom Extension: x-visibility )

Create a new user group.

POST
/v1/regions/global/iam/groups

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Request Body

application/json

id?string

Client-provided resource identifier. If omitted, the server generates one.

Match^[a-z]([-a-z0-9]*[a-z0-9])?$
Length1 <= length <= 63
displayName*string

Human-readable display name for the group.

Length1 <= length <= 255
orgId?string

Organization identifier specified when creating group as operator admin. When absent, it will be considered as the current user's organization.

description?string

Human-readable group description

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.k0rdent.ai/v1/regions/global/iam/groups" \  -H "Content-Type: application/json" \  -d '{    "displayName": "string"  }'
{
  "selfLink": "/v1/regions/global/iam/groups/group-d5e6f7",
  "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
  "id": "group-d5e6f7",
  "displayName": "Platform Engineers",
  "description": "string",
  "memberCount": 12,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings